MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026572Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-08-19 12:302016-04-20 15:51
Reporterjgv 
Assigned Toski 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026572: Error in ShapeUpgrade_UnifySameDomain algorithm: can not merge two edges in customer's shape
DescriptionError in ShapeUpgrade_UnifySameDomain algorithm: can not merge two edges in customer's shape.
Steps To Reproducerestore issue_12_new_input.brep s
unifysamedom r s
TagsNo tags attached.
Test case numberbugs heal bug26572
Attached Files? file icon issue_12_new_input.brep (37,253 bytes) 2015-08-19 12:30

- Relationships

-  Notes
(0044417)
git (administrator)
2015-08-19 12:49

Branch CR26572 has been created by aml.

SHA-1: 1f2790e84fa8d22dd74f8e96ee5183ea66c066b1


Detailed log of new commits:

Author: aml
Date: Wed Aug 19 12:49:20 2015 +0300

    0026572: Error in ShapeUpgrade_UnifySameDomain algorithm: can not merge two edges in customer's shape
    
    Obsolete code deleted.
(0044418)
aml (developer)
2015-08-19 12:50
edited on: 2015-08-19 12:50

Dear jgv,
Please check current state of branch CR26572.

(0044420)
jgv (developer)
2015-08-19 13:12

Ok.
(0044469)
mkv (tester)
2015-08-20 14:51

Dear BugMaster,
Branch CR26572 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1f2790e84fa8d22dd74f8e96ee5183ea66c066b1

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26219_1.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_1.html [^]
bugs heal bug26219_1: FAILED

http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26219_gehause_rohteil.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_gehause_rohteil.html [^]
bugs heal bug26219_gehause_rohteil: FAILED

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 90931024 / 90746715 [+0.20%]
Total CPU difference: 17652.609999999077 / 17773.249999998963 [-0.68%]
products component :
Total MEMORY difference: 24843019 / 24829404 [+0.05%]
Total CPU difference: 6967.719999999989 / 6872.7100000000155 [+1.38%]

Testing on Windows:
occt component :
Total MEMORY difference: 56840631 / 56850130 [-0.02%]
Total CPU difference: 16388.404253199034 / 16437.3261667993 [-0.30%]
products component :
Total MEMORY difference: 16013602 / 16017814 [-0.03%]
Total CPU difference: 5157.315059499949 / 5265.439352599951 [-2.05%]

There are no differences in images found by testdiff.
(0044473)
aml (developer)
2015-08-20 14:59

Dear mkv,

test cases:

bugs heal bug26219_1: FAILED
bugs heal bug26219_gehause_rohteil: FAILED

are really improvements, in them same problem as original were fixed. Please update reference data.
(0044476)
git (administrator)
2015-08-20 15:47

Branch CR26572 has been updated by mkv.

SHA-1: 80e7312b0db351a007d86ad26542b1140d587db8


Detailed log of new commits:

Author: mkv
Date: Thu Aug 20 15:46:39 2015 +0300

    Test case for issue CR26572

(0044477)
mkv (tester)
2015-08-20 15:47

Dear BugMaster,
following test cases are corrected and pushed to branch CR26572 of occt git-repository

http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26219_1.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_1.html [^]
bugs heal bug26219_1: OK

http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26219_gehause_rohteil.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26219_gehause_rohteil.html [^]
bugs heal bug26219_gehause_rohteil: OK

http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26572.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26572.html [^]
bugs heal bug26572: OK
(0044478)
mkv (tester)
2015-08-20 15:47

Dear aml,
could you please review following test case
bugs heal bug26572
(0044479)
aml (developer)
2015-08-20 16:00
edited on: 2015-08-20 16:05

Dear mkv,

There are some remarks for test:

1) Please use check mechanism introduced in bug26219 (check number of subshapes).

2) Please add image check, like this (it is necessary to explode result by vertices - "explode r V" ):

axo; donly r; explode r V; fit
xwd ${imagedir}/${casename}.png

(0044481)
git (administrator)
2015-08-20 16:32

Branch CR26572 has been updated by mkv.

SHA-1: fbeaf8d909243efe8589c11179ed47c8537dfcc4


Detailed log of new commits:

Author: mkv
Date: Thu Aug 20 16:31:47 2015 +0300

    Small correction

(0044482)
mkv (tester)
2015-08-20 16:32

Dear BugMaster,
following test case is corrected and pushed to branch CR26572 of occt git-repository

http://occt-tests/CR26572-master-occt-64/Debian70-64/bugs/heal/bug26572.html [^]
http://occt-tests/CR26572-master-occt-64/Windows-64-VC10/bugs/heal/bug26572.html [^]
bugs heal bug26572: OK
(0044483)
mkv (tester)
2015-08-20 16:32

Dear BugMaster,
Branch CR26572 is TESTED.
(0053255)
git (administrator)
2016-04-17 15:07

Branch CR26572 has been deleted by kgv.

SHA-1: fbeaf8d909243efe8589c11179ed47c8537dfcc4

- Related Changesets
occt: master f2d685a9
Timestamp: 2015-08-20 13:57:10
Author: aml
Committer: ski
Details ] Diff ]
0026572: Error in ShapeUpgrade_UnifySameDomain algorithm: can not merge two edges in customer's shape

Obsolete code deleted.
Test case for issue CR26572
Small correction
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - tests/bugs/heal/bug26219_1 Diff ] File ]
mod - tests/bugs/heal/bug26219_gehause_rohteil Diff ] File ]
add - tests/bugs/heal/bug26572 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-19 12:30 jgv New Issue
2015-08-19 12:30 jgv Assigned To => jgv
2015-08-19 12:30 jgv File Added: issue_12_new_input.brep
2015-08-19 12:32 jgv Assigned To jgv => aml
2015-08-19 12:49 git Note Added: 0044417
2015-08-19 12:50 aml Note Added: 0044418
2015-08-19 12:50 aml Assigned To aml => jgv
2015-08-19 12:50 aml Status new => resolved
2015-08-19 12:50 aml Note Edited: 0044418 View Revisions
2015-08-19 13:12 jgv Note Added: 0044420
2015-08-19 13:12 jgv Assigned To jgv => bugmaster
2015-08-19 13:12 jgv Status resolved => reviewed
2015-08-19 13:12 jgv Priority normal => urgent
2015-08-19 14:23 mkv Assigned To bugmaster => mkv
2015-08-20 14:51 mkv Note Added: 0044469
2015-08-20 14:51 mkv Assigned To mkv => aml
2015-08-20 14:51 mkv Status reviewed => assigned
2015-08-20 14:59 aml Note Added: 0044473
2015-08-20 14:59 aml Assigned To aml => mkv
2015-08-20 14:59 aml Status assigned => feedback
2015-08-20 15:47 git Note Added: 0044476
2015-08-20 15:47 mkv Note Added: 0044477
2015-08-20 15:47 mkv Note Added: 0044478
2015-08-20 15:48 mkv Assigned To mkv => aml
2015-08-20 15:48 mkv Test case number => bugs heal bug26572
2015-08-20 15:59 aml Assigned To aml => mkv
2015-08-20 16:00 aml Note Added: 0044479
2015-08-20 16:05 aml Note Edited: 0044479 View Revisions
2015-08-20 16:32 git Note Added: 0044481
2015-08-20 16:32 mkv Note Added: 0044482
2015-08-20 16:32 mkv Note Added: 0044483
2015-08-20 16:32 mkv Assigned To mkv => bugmaster
2015-08-20 16:32 mkv Status feedback => tested
2015-08-21 13:40 ski Changeset attached => occt master f2d685a9
2015-08-21 13:40 ski Assigned To bugmaster => ski
2015-08-21 13:40 ski Status tested => verified
2015-08-21 13:40 ski Resolution open => fixed
2016-04-17 15:07 git Note Added: 0053255
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker